Download it now!
Bug 79261 - FILEOPEN: SVG not rendered correctly due to text positioning and unknown black rectangle shapes in the top left
Summary: FILEOPEN: SVG not rendered correctly due to text positioning and unknown blac...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Open
  Show dependency treegraph
 
Reported: 2014-05-26 13:10 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-06-20 17:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
how the svg looks in drawing (52.21 KB, image/jpeg)
2014-05-26 13:10 UTC, Yousuf Philips (jay) (retired)
Details
svg in opera (27.45 KB, image/jpeg)
2014-05-26 13:11 UTC, Yousuf Philips (jay) (retired)
Details
Issue on 4.1.6.2 (106.96 KB, image/png)
2014-05-26 14:11 UTC, Firas Hanife
Details
Issue on 4.1.6.2 (2) (77.79 KB, image/png)
2014-05-26 14:13 UTC, Firas Hanife
Details
Simplier file (2.80 KB, image/svg+xml)
2015-12-01 12:03 UTC, Xisco Faulí
Details
inkscape vs libreoffice (6.90 KB, image/png)
2017-09-30 20:20 UTC, Yousuf Philips (jay) (retired)
Details
fruit.svg in LO Draw 6.1 beta 2 (20.19 KB, image/png)
2018-06-18 13:52 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-26 13:10:06 UTC
Created attachment 99867 [details]
how the svg looks in drawing

opening attachment 98994 [details] from bug 78672 in LibO has it open in Draw but its presentation isnt correct. Tested on Linux Mint with the last releases of 3.6 and 4.2 and 4.3 beta.
Comment 1 Yousuf Philips (jay) (retired) 2014-05-26 13:11:28 UTC
Created attachment 99868 [details]
svg in opera
Comment 2 Firas Hanife 2014-05-26 14:03:25 UTC
I can reproduce this issue on openSUSE 13.1 with 4.1.6.2 + 4.3.0.0.beta1
Comment 3 Firas Hanife 2014-05-26 14:11:26 UTC
Created attachment 99872 [details]
Issue on 4.1.6.2
Comment 4 Firas Hanife 2014-05-26 14:13:44 UTC
Created attachment 99873 [details]
Issue on 4.1.6.2 (2)
Comment 5 Buovjaga 2014-09-22 12:11:30 UTC
Drag'n'dropped the svg to Draw and I'm not getting the black box.

Version: 4.4.0.0.alpha0+
Build ID: be775a1ab40ccedfbc9659120b82867d6c128e6a
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-19_18:16:3
Comment 6 Yousuf Philips (jay) (retired) 2014-09-22 15:27:25 UTC
Dragging and dropping will open the insert the svg in Draw, this bug is about opening the svg in Draw through the open file dialog.

Bug still present in :-

Version: 4.4.0.0.alpha0+
Build ID: aa888a88696f6864fd771c948d0831d53a206939
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-16_19:38:50

Version: 4.3.3.0.0+
Build ID: f3cdb7804a26c5cf0623d9b83130594f83372768
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-09-12_04:11:44
Comment 7 Buovjaga 2014-09-24 10:46:20 UTC
On Windows, trying to open it simply gives:
General Error.
General input/output error

.. just like every SVG file!
Comment 8 Yousuf Philips (jay) (retired) 2014-09-24 20:59:42 UTC
I've reported that Windows only error as bug 84296 and CCed you. If you could add your build number to the bug. That would be great.
Comment 9 Buovjaga 2015-01-07 10:11:30 UTC
Tested on 4.5: now it opens and the only problem is that the 1s and *s next to the connectors have switched from right to left.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c7f6830e767897d3a0e88f75fc8d7ef7fca95dc
TinderBox: Win-x86@42, Branch:master, Time: 2015-01-06_00:47:25
Comment 10 Yousuf Philips (jay) (retired) 2015-01-07 12:19:57 UTC
Confirmed that the only thing remaining to be fixed with it is the incorrect placement of the all text (e.g. 'Apple' should be in the center of its box).

Version: 4.5.0.0.alpha0+
Build ID: 39ac529d141dcd4de534eddbcc6c07bc49367b90
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-01-04_00:40:43
Comment 11 Xisco Faulí 2015-12-01 12:03:13 UTC
Created attachment 120923 [details]
Simplier file
Comment 12 Robinson Tryon (qubit) 2015-12-09 18:52:38 UTC Comment hidden (obsolete)
Comment 13 Yousuf Philips (jay) (retired) 2017-09-30 20:20:57 UTC
Created attachment 136656 [details]
inkscape vs libreoffice

Comparison of the rendering of Inkscape vs LibreOffice 6.0 for attachment 120923 [details].

Version: 6.0.0.0.alpha0+
Build ID: 13df3777e4b6ff7537692b396be67a5fd2b9b001
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 14 Roman Kuznetsov 2018-06-18 13:52:31 UTC
Created attachment 142862 [details]
fruit.svg in LO Draw 6.1 beta 2
Comment 15 Roman Kuznetsov 2018-06-18 13:59:20 UTC
in LibreOffice 6.1 beta 2 SVG opens correctly

Status -> WFM